/*Style CSS*/
/* IMPORT FONTU Z GOOGLE */
@import url('https://fonts.googleapis.com/css2?family=Paytone+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200..900;1,200..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playpen+Sans:wght@100..800&display=swap');
/*
.paytone-one-regular {
  font-family: "Paytone One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.source-sans-3-<uniquifier> {
  font-family: "Source Sans 3", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
}

.playpen-sans-<uniquifier> {
  font-family: "Playpen Sans", cursive;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
}
*/

/* KOLORY DOKUMENTU - deklarujemy w formie zmiennych */
:root{
    --kolor-glowny: rgba(0, 0, 0, 0.83);
    --kolor-ciemny: #000000;
    --kolor-jasny: #ffffff;
}

/*SELEKTORY GLOBALNE - dot. całego dokumentu*/
*{
    box-sizing: border-box;
    transition: 300ms;
}
html{
    scroll-behavior: smooth;/*płynne przewijanie nawigacją*/
}
body{
    font-family: "Source Sans 3", sans-serif;
    font-size: 16px;
}
a{
   text-decoration: none; 
}
p{
    line-height: 140%;
}
img{
    max-width: 100%;
}

h1, h2, h3, h4, h5, h6{}

h1{
    font-size: clamp(56px, 12vw, 170px);
    text-align: center;
    font-family: "Paytone One", sans-serif;
}

h2{
    font-size: clamp(22px, 3.2vw, 32px);
    font-family: "Paytone One", sans-serif;
}

h3{
    font-size: clamp(18px, 2.6vw, 24px);
    font-family: "Paytone One", sans-serif;
}

h4{
    font-size: clamp(3.8px, 8vw, 92px);
    font-family: "Paytone One", sans-serif;
}
h5{
    font-size: clamp(16px, 7vw, 20px);
    font-family: "Paytone One", sans-serif;
}
h6{}

/*NAWIGACJA*/
nav{
    background-color: #ffffff;
    position: sticky;
    top: 0; /*nie usuwaj bo to jeździ ze scrollem*/
    width: 100%;
    padding: 10px;
    display: flex;
    justify-content: center;

    z-index: 10;
}
nav ol{
    max-width: 1200px;
    width: 100%; 
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

nav img{
    height: 50px;
    width: auto;
}

nav ol li{
    padding: 10px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
nav ol li a{
    padding: 15px 2vw;
    display: flex;
    text-align: center;
    display: inline;
    display: block;
    color: #000;
    border-radius: 10px;
    font-size: 16px;
    font-family: "Paytone One", sans-serif;
}
nav ol li a:hover{}

nav #nav-intro a{
    background: #FF5DB1; 
}
nav #nav-theory a{
    background: #FFD23F; 
}
nav #nav-cases a{
    background: #4D73FF; 
}
nav #nav-influence a{
    background: #3CB371;
}


/*HOVER DO GZUIKOW NAVIGACJI*/
nav #nav-intro a:hover{
    background: rgba(0,0,0,0.70);
    color: #fff
}
nav #nav-theory a:hover{
    background: rgba(0,0,0,0.70);
    color: #fff 
}
nav #nav-cases a:hover{
    background: rgba(0,0,0,0.70);
    color: #fff 
}
nav #nav-influence a:hover{
    background: rgba(0,0,0,0.70);
    color: #fff
}

.zawartosc{
    max-width: 1200px;
    width: 100%;
}


/*WSZYSTKIE SEKCJE*/
section{
    min-height: 80vh;
    /* vh = viewport height 
    = % wys. okna przegl.*/
    
    /*FLEX CONTAINER*/
    display: flex;
    align-items: center;
    justify-content: center;

    /*oddalenie zawartości od krawędzi okna*/
    padding: 20px;

    /*oddalenie od gornej kradzedzi okna przy przewijaniu nawigacja*/
    scroll-margin-top: 120px;
}
.zawartosc{
    max-width: 1200px;
    width: 100%;
    margin: auto;
}


#introduction{
  padding-top: 20px;
  padding-bottom: 40px;
}

.duzetlo{
    background: url(../img/tlo.png) no-repeat center center fixed;
    background-size: cover;
}



#introduction .zawartosc{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;

  background-color: #fff;
  border-radius: 15px;

  width: 100%;
  max-width: 1200px;

  min-height: 615px;
  height: auto;

  margin: 0;
  padding: clamp(20px, 5vw, 60px);

  margin-top: 60px;
  margin-bottom: 60px;
}

#introduction h1{
    /*font-size: 11.8vw;*/
    font-size: 160px;
}
.eclectism span{
    font-family: "Paytone One", sans-serif;
}
.playpen{
    font-family: "Playpen Sans", cursive;
    display: inline-block;
    transform: translateY(4px);
}
#introduction h2{
    /*font-size: 2.2vw;*/
    font-size: 32px;

}

/*PRZYCISK EXPLORE MORE MA CLASS + H3*/
#introduction .explore{
    background: #000;
    padding: 30px 55px;
    border-radius: 9px;
    margin-top: 30px;
    transition: 
        border-radius 300ms,
        transform 300ms;
}

#introduction .explore a{
    color: #fff;
    font-size: 20px;
    font-family: "Paytone One", sans-serif;
    display: block;
}

#introduction .explore:hover{
    background: linear-gradient(
        90deg,
        #FF5DB1 0%,
        #FFD23F 25%,
        #4D73FF 50%,
        #FFD23F 75%,
        #FF5DB1 100%
    );
    background-size: 400% 500%;
    background-position: 0% 50%;
    animation: animate-gradient 5s ease-in-out infinite alternate;
    border-radius: 80px;
    transform: scale(0.95);
}

#introduction .explore:hover a{}

@keyframes animate-gradient{
    0%{
        background-position: 0% 50%;
    }
    100%{
        background-position: 100% 50%;
    }
}

#theory{
    background-color: rgba(0,0,0,0.83);
}
#theory h2{}
#theory h3{
    padding-bottom: 35px;
}
#theory .theory_main h3{
    padding-bottom: 20px;
}
#theory .zawartosc{
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    gap: 30px;
    max-width: 1200px;
    margin: 50px auto 50px;
}

#theory article{
    border-radius: 15px;
    background-color: #000;
    color: #fff;
    text-align: center;
    align-content: center;
}

#theory .theory_main{
    flex: 0 0 100%;
    display: flex;
    flex-direction: column;
    padding: 50px 300px;
    box-sizing: border-box;
    justify-content: center;
    min-width: 300px;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto 0px auto;

    
    padding: 50px 300px 50px;

    text-align: center;
    background: #000;
    color: #fff;
    border-radius: 15px;
}

#theory .theory_main:hover{
    background: linear-gradient(180deg, #FF5DB1 0%, #FFD23F 100%);
    color: #000;
}

#theory .oddzielone{
    background: #000;
    color: #fff;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    flex-wrap: wrap;
    text-align: center;
    gap: 30px;
    border-radius: 15px;
    padding: 80px 50px;

    flex: 1 1 calc((100% - 60px) / 3);
    min-width: 260px;
}

#theory .oddzielone:hover{
    background: linear-gradient(180deg, #FF5DB1 0%, #FFD23F 100%);
    color: #000;
} 

#theory .oddzielone h3{
  margin-bottom: 20px;
  padding-bottom: 0;
}

#theory .oddzielone p{
  margin-top: 0;
  margin-bottom: 16px;
}

#theory article:hover{}

#theory article img{
    border-radius: 5px;
}
#theory article h3{
    margin: 20px 0;
}
#theory article p{}


/*CASE STUDIES AAAAAAAAAA*/
#casestudies{
    min-height: auto;
    padding: 60px 20px 40px;
}
#casestudies h4{
    text-align: center;
    margin-bottom: 10px;
}
#casestudies h3{
    text-align: center;
}

#przyklady{}
#przyklady .zawartosc{
    display: flex;
    flex-direction: column;
    margin: auto;
}
#przyklady article{}
#przyklady p{}

.kulka{
    width: 46px;
    height: 46px;
    transition: transform 600ms ease;
}

.kulka:hover{
    transform: rotate(180deg);
}


/*ROYAL CALY*/
#przyklady article .royalcaly{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 20px;
}

#przykłady .royal_jpg{
    display: flex;
    justify-content: space-around;
}

/*
.royalcaly h3{
    margin-bottom: 40px;
}*/

#przyklady h3{
    margin-bottom: 40px;
}

.jeden{
    display: flex;
    align-items: flex-start;
    gap: 16px;
}
.jeden .tekst{
    display: flex;
    flex-direction: column;
}
.jeden h5{
    margin: 0 0 6px 0;
}
.jeden p{
    margin-bottom: 30px;
}

.dwa{
    display: flex;
    align-items: flex-start;
    gap: 16px;
}
.dwa .tekst{
    display: flex;
    flex-direction: column;
}
.dwa h5{
    margin: 0 0 6px 0;
}
.dwa p{
    margin-bottom: 30px;
}


.trzy{
    display: flex;
    align-items: flex-start;
    gap: 16px;
}
.trzy .tekst{
    display: flex;
    flex-direction: column;
}
.trzy h5{
    margin: 0 0 6px 0;
}
.trzy p{
    margin-bottom: 30px;
}


.cztery{
    display: flex;
    align-items: flex-start;
    gap: 16px;
}
.cztery .tekst{
    display: flex;
    flex-direction: column;
}
.cztery h5{
    margin: 0 0 6px 0;
}
.cztery p{
    margin-bottom: 30px;
}


.kolumna{
    display: flex;
    flex-direction: column;
}

.kolumny{
  display: flex;
  flex-direction: row;
  gap: 50px;
  flex-wrap: wrap;
}

/* SAMMEZZANO CALY*/
.sammezzanocaly{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 50px;
    align-items: flex-start;
    margin-top: 80px;
}

#przyklady .sammezzano_jpg{
    display: flex;
    justify-content: flex-start;
    max-width: 760px;
}

.sammezzanocaly h3{
    margin-top: 100px;
}





/*WOOLWORTH*/

#przyklady .woolworth_jpg{
    display: flex;
    justify-content: flex-start;
    max-width: 760px;
}

.woolworthcaly{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 50px;
    align-items: center;
    margin-bottom: 40px;
}

/*SARAJEVO*/
.sarajevocaly{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 100px;
}

.row4{
    display: flex;
    flex-direction: row;
    gap: 50px;
    flex-wrap: wrap;
}
/*
.kolumna1{
    display: flex;
    flex-direction: column;
}*/

/*STOPKA*/
#stopka{
    background-color: #000;
    color: #fff;
    min-height: 40vh;
    padding: 40px 0 100px 0;
    text-decoration: none;
}    
#stopka .zawartosc{    
    display: flex;
    justify-content: center;
    align-items: center; 
    padding: 40px;

    
}
#stopka article{
    background-color: #141414;
    padding: 50px;
    width: 900px;
    min-height: 120px;
    margin: 20px auto;
    border-radius: 15px;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
#stopka article h3{
    min-height: 40px;
    display: flex;
    align-items: center;
    text-align: center;
    font-weight: 800;
}
#stopka .newsletter{
    width: 200px;
    height: 100px;
}
#stopka a{
    color: #ffffff;
}
#stopka input[type=email]{
    border-radius: 6px;
    width: 400px;
    padding: 10px;
    background-color: rgba(246, 246, 246, 0.6);
    border: none;
    height: 34px;

    font-family: "Source Sans 3", sans-serif;
    font-weight: 500px;
}

#stopka input[type=submit]{
    border-radius: 6px;
    padding: 0 32px;
    height: 34px;
    border: none;
    background-color: rgba(246, 246, 246, 0.6);
    font-family: "Source Sans 3", sans-serif;
    color: #000;
}
#stopka input[type=submit]:hover{
    background-color: #FF5DB1;
    border: none;
    color: rgb(0, 0, 0);
}

#stopka .newsletter2{
  display: flex;
  flex-direction: row;
  gap: 20px;
}


#stopka input[type="submit"]{
    font-family: "Source Sans 3", sans-serif;
    font-weight: 400;
}

#stopka .zawartosc{
    justify-content: center;
    align-items: center;
}